(function($, doc) {
	mui.init();
	var plusReady = false;
	var state = app.getState();
	var userId = state.userInfo.seqId;
	var orgId = state.userInfo.orgId;
	$.plusReady(function() {
		plusReady = typeof plus != 'undefined';
		var olpage = null; // outerlink page
		var olpage_pull = null;
		if(plusReady) {
			olpage = plus.webview.getWebviewById('outerlink');
			olpage_pull = plus.webview.getWebviewById('outerlink-pull');
		}
		// 账户查询
		$get('money_link').on('tap', function() {
			NewUpData();
			mui.openWindow({
				id: 'query',
				url: 'query/query.html'
			});
		});
		// 我的虚拟卡
		$get('tel_link').on('tap', function() {
			NewUpData();
			$.fire(olpage, 'show', {
				title: '我的虚拟卡',
				url: 'page/pay/VirtualCard.html'
			})
			mui.openWindow({
				id: 'outerlink',
				url: 'pay/VirtualCard.html'
			});
		});

		// 功能列表
		$('#actionList').on('tap', '.menu', function() {
			switch(this.getAttribute('id')) {
				case "rich":
					$.fire(olpage, 'scan', {
						title: '扫一扫',
						url: 'page/pay/scan.html'
					});
					mui.openWindow({
						id: 'scan',
						url: 'pay/scan.html'
					});
					break;
					//      		case "contribute":
					//
					//	                $.openWindow({
					//	                    id: 'contribute',
					//	                    url: this.getAttribute('action')
					//	                });         		
					//      			break;
				default:
					$.fire(olpage, 'show', {
						title: $("." + this.getAttribute('id'))[0].innerText,
						url: "page/" + this.getAttribute('action')
					});
					$.openWindow({
						id: 'outerlink',
						url: this.getAttribute('action')
					});
					break;
			}
		});

		//帮助
		$get('helplogo').on('tap', function() {	
			
			$.fire(olpage, 'show', {
				title: '帮助',
				url: 'page/help/help.html'
			});
			$.openWindow({
				id: 'outerlink',
				url: 'page/help/help.html'
			});
		})

		// 九宫格点击
		mui('#grid').on('tap', '.menu', function() {
			var href = this.getAttribute('action');
			var MenuId = this.getAttribute('id');
			var MenuName = $("." + MenuId)[0].innerText;
			if(MenuId.substr(0, 3) == "web") {
					mui.openWindow({
						id: MenuId,
						url: href + '?userId=' + userId + '&orgId=' + orgId + '&imei=' + plus.device.uuid,
						styles: {
							cachemode: "noCache",
						}
					});

			} else {
				mui.fire(olpage, 'show', {
					title: MenuName,
					url: "page/" + href
				});
				mui.openWindow({
					id: 'outerlink',
					url: href
				});
			}

		});

		// 广告图片点击
		$('#slider').on('tap', 'img', function(e) {
			var url = this.getAttribute('src');
			for(var i = 0; i < lunbo.length; i++) {
				if(url == lunbo[i]["imagPath"] && lunbo[i]["imagUrl"] != "") {
					$.fire(olpage, 'show', {
						title: lunbo[i]["ImgTitle"],
						url: lunbo[i]["imagUrl"]
					});
					$.openWindow({
						id: "outerlink",
						url: lunbo[i]["imagUrl"]
					});
				}
			}
		});

		document.addEventListener("plusready", function() {
			message = document.getElementById("message");
			// 监听在线消息事件
			plus.push.addEventListener("receive", function(msg) {
				NewUpData();
				logoutPushMsg(msg);
			}, false);
		}, false);

		
		NewUpData();
		window.addEventListener('ProvingLogin', ProvingLogin, false);
		window.addEventListener('NewUpData', NewUpData, false);
	});

	function getmenu() {
		//一级菜单
		$get("actionList").innerHTML = "";
		util.post('GetMenuAuth', {
			orgId: orgId,
			userId: userId,
			MenuLevel: '1',
		}, function(data) {
			console.log(JSON.stringify(data))
			var html = [];
			mui.each(data, function(index, node) {
				html.push([
					'<div action="', node.UrlPath, '" id="', node.MenuCode, '" class="mui-col-xs-3 menu">',
					'<img  src="../images/index/nav1/', node.IconClsPath, '" />',
					'<span class="', node.MenuCode, '">', node.MenuName, '<span>',
					'</div>',
				].join(''));
			})
			$get('actionList').innerHTML = html.join('');
		})

		util.post('GetMenuAuth', {
			orgId: orgId,
			userId: userId,
			MenuLevel: '2,4',
		}, function(data) {
			console.log(JSON.stringify(data))
			var html = [];
			mui.each(data, function(index, node) {
				switch(node.MenuLevel) {
					case "2":
						node.IconClsPath = "../images/index/nav2/" + node.IconClsPath;
						break;
					case "4":

						break;
				}
				html.push([
					'<div action="', node.UrlPath, '" id="', node.MenuCode, '" class="mui-table-view-cell mui-media mui-col-xs-3 menu">',
					'<img src="', node.IconClsPath, '"/>',
					'<div class="mui-media-body">',
					'<span class="', node.MenuCode, '">', node.MenuName, '<span>',
					'</div>',
					'</div>'
				].join(''));
			})
			$get('grid').innerHTML = html.join('');
		})
	}

	function ProvingLogin() {
		var imei = state.imei;
		var timestamp = Date.parse(new Date());
		var Token = imei + userId + timestamp;
		var sHA256 = CryptoJS.SHA256(Token).toString(CryptoJS.enc.Hex);
		mui.post("http://" + state.path + "AppWebProvingLogin", {
			orgId: orgId,
			userId: userId,
			LoginWay: "1",
			timestamp: timestamp,
			MacData: sHA256,
		}, function(data) {
			console.log(JSON.stringify(data))
		}, 'json' );

	}

	function NewUpData() {
		getmenu();
		var nickname = state.userInfo.nickname;
		if(state.token) {
			if(state.userInfo && state.userInfo.nickname) {
				nickname = state.userInfo.nickname;
			} else {
				nickname = state.userInfo.nickname;
			}
		}
		//获取公司详情
		if(state.userInfo && state.userInfo.orgName) {
			var orgName = state.userInfo.orgName;
			util.post('getOrgImg', {
				orgId: orgId
			}, function(data) {
				$get('orgName').innerText = orgName;
				$get('orgImg').src = data.CompanyLogo;
				$get('coopImg').src = data.CooperationLogo;
			});
		}

		mui('#tel_link .tel_show')[0].innerHTML = nickname;
		util.getBalance(function(balance) {
			$get('money_show').innerText = balance;
			state.balance = balance;
			console.log(balance)
		});
	}

})(mui, document);