(function($, doc) {
    $.init();
    var subpage_style = {
        top: '0px',
        bottom: '51px',
        scrollIndicator: 'none'
    }
    var subpages = [
    	'page/main.index.html',
    	'page/main.message.html',
    	'page/main.my.html'
    ];
    var activeTab = subpages[0];
    var plusReady = false;
    var state = app.getState();
    $.plusReady(function() {
        plusReady = typeof plus != 'undefined';
        if (!plusReady) return;

        var curr = plus.webview.currentWebview();
        // 创建子页面，首个显示，其他隐藏
        $.each(subpages, function(index, node) {
            var temp = {};
            var sub = plus.webview.create(node, node, subpage_style);
            if (index > 0) {
                sub.hide();
            }
            curr.append(sub);
        });
        
        //管理员登录隐藏
//      if(state.admin){
//  	$(".mui-tab-item")[1].style.display="none";        	
//      }else{
//  	$(".mui-tab-item")[1].style.display="block";          	
//      }




        // 底部导航点击
        $('#footerNav').on('tap', 'a', function(e) {
            var targetTab = this.getAttribute('href');
	        switch (this.getAttribute('href')) {
	            case "page/main.index.html": // 首页
				$.fire(plus.webview.getWebviewById('page/main.index.html'), 'reindexs', null);
	                break;
	            case "page/main.message.html": // 消息
	            $.fire(plus.webview.getWebviewById('page/main.message.html'), 'refresh', null);
	                break;
	        }            
            if (targetTab == activeTab) {
                return;
            }
            if (!plusReady) {
                activeTab = targetTab;
                return;
            }
            if ($.os.ios) {
                plus.webview.show(targetTab);
                plus.webview.hide(activeTab);
                activeTab = targetTab;
            } else {
                plus.webview.show(targetTab, 'fade-in', 150);
                setTimeout(function() {
                    plus.webview.hide(activeTab);
                    activeTab = targetTab;
                }, 150);
            }
        });

        util.doubletapExit();
    });

    window.addEventListener('show', function(e) {
        var index = e.detail.index || 0;
		activateTab(index);
        if (e.detail.onlyActivate) {
            return;
        }
        switch (index) {
            case 0: // 首页
	            //$.fire(plus.webview.getWebviewById(subpages[0]), 'refresh', null);
                //$.fire(plus.webview.getWebviewById(subpages[2]), 'refresh', null);
                break;
            case 1: // 消息
//              $.fire(plus.webview.getWebviewById(subpages[1]), 'refresh', {title: e.detail.title});
                break;
            case 2: // 我的
//          	$.fire(plus.webview.getWebviewById(subpages[2]), 'refresh', null);
                break;
        }
    }, false);

    var activateTab = function(index) {
        var tab = doc.querySelectorAll('#footerNav>a')[index];
        // 模拟点击
        $.trigger(tab, 'tap');
        // 切换选项卡高亮
        var curr = doc.querySelector('#footerNav>.mui-active');
        if (tab !== curr) {
            curr.classList.remove('mui-active');
            tab.classList.add('mui-active');
        }
    }
}(mui, document));