(function($, doc) {
	$.init();
	var olpage = null; // outerlink page
	var state = app.getState();
	var plusReady = false;
	$.plusReady(function() {
		plusReady = typeof plus != 'undefined';

		if(plusReady) {
			olpage = plus.webview.getWebviewById('outerlink');
		}
		addEvent();
	});

	// 查询用户信息
	util.get('card_info', {
		userId:state.userInfo.seqId,
	}, function(data) {

			mui("#userName")[0].innerText = data.name;

	})
	
	util.post('GetUserPicData', {
		orgId: "",
		userId: "",
		PicType:"3"
	}, function(data) {
		if(JSON.stringify(data) != "{}") {
		mui("#UserPhoto")[0].src = "data:image/jpeg;base64," + data
		}
	})
	
	function addEvent() {
		$('#funlist1').on('tap', 'a', function() {
			var action = this.getAttribute('action');
			if(action == 'cz' || action == 'jf') {
				if(!judgeCardBinded()) {
					return;
				}
				if(!util.judgeNeedAbc()) {
					return;
				}
			}
			switch(action) {
				case 'cz':
					$.fire(olpage, 'show', {
						title: '充值',
						url: 'page/deposit/campusCardDeposit.html'
					})
					mui.openWindow({
						id: 'outerlink',
						url: 'deposit/campusCardDeposit.html'
					});
					break;
				case 'jf':
					$.fire(olpage, 'show', {
						title: '缴费',
						url: 'page/contribute/list.html'
					})
					mui.openWindow({
						id: 'outerlink',
						url: 'contribute/list.html'
					});
					break;
			}
		});

		mui('#exitbtn')[0].on('tap', function() {
			mui.confirm('是否退出登录？', '提示', ['是', '否'], function(e) {
				if(e.index == 0) {
					var state = app.getState();
					state.token = null;
					app.setState(state);
					mui.openWindow({
						id: 'login',
						url: '../login.html',
						reload: true,
					});
				}
			});
		});

		$('#funlist2').on('tap', 'a', function() {
			var state = app.getState();
			switch(this.getAttribute('action')) {
				case 'my_msg':
					$.fire(plus.webview.getWebviewById('page/main.message.html'), 'refresh', null);

					break;
				case 'mx_query':
					mui.openWindow({
						id: 'query',
						url: 'query/query.html'
					});
					break;
				case 'xk_unbind':
					$.fire(olpage, 'show', {
						title: '解绑',
						url: 'page/my/unbindcard.html'
					})
					mui.openWindow({
						id: 'outerlink',
						url: 'my/unbindcard.html'
					});
					break;
				case 'xk_info':
					$.fire(olpage, 'show', {
						title: '用户信息',
						url: 'page/my/cardinfo.html'
					});
					mui.openWindow({
						id: 'outerlink',
						url: 'my/cardinfo.html'
					});
					break;
				case 'xk_loss':
					mui.openWindow({
						id: 'report',
						url: 'my/report.html'
					});
					break;
				case 'update_password':
					mui.openWindow({
						id: 'update_password',
						url: '../update_password.html'
					});
					break;
				case 'modify_paypwd':
					mui.openWindow({
						id: 'update_paypassword',
						url: '../update_paypassword.html'
					});
					break;
				case 'about_us':
					mui.openWindow({
							id: 'help',
							url: 'help/help.html'
						});
					break;

			}
		});
	}

})(mui, document);